org.jbpm.ruleflow.core.factory

## Class MilestoneNodeFactory

- java.lang.Object
- - org.jbpm.ruleflow.core.factory.NodeFactory
  - - org.jbpm.ruleflow.core.factory.MilestoneNodeFactory

-     public class MilestoneNodeFactory
      extends NodeFactory

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.ruleflow.core.factory.NodeFactory

      `nodeContainerFactory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MilestoneNodeFactory(RuleFlowNodeContainerFactory nodeContainerFactory, NodeContainer nodeContainer, long id)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MilestoneNodeFactory` | `constraint(String constraint)`
    `protected Node` | `createNode()`
    `protected MilestoneNode` | `getMilestoneNode()`
    `MilestoneNodeFactory` | `name(String name)`
    `MilestoneNodeFactory` | `onEntryAction(String dialect, String action)`
    `MilestoneNodeFactory` | `onExitAction(String dialect, String action)`
    `MilestoneNodeFactory` | `timer(String delay, String period, String dialect, String action)`

    - ### Methods inherited from class org.jbpm.ruleflow.core.factory.NodeFactory

      `done, getNode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MilestoneNodeFactory

          public MilestoneNodeFactory(RuleFlowNodeContainerFactory nodeContainerFactory,
                                      NodeContainer nodeContainer,
                                      long id)

  - ### Method Detail

    - #### createNode

          protected Node createNode()

      Specified by:
        `createNode` in class `NodeFactory`

    - #### getMilestoneNode

          protected MilestoneNode getMilestoneNode()

    - #### name

          public MilestoneNodeFactory name(String name)

    - #### onEntryAction

          public MilestoneNodeFactory onEntryAction(String dialect,
                                                    String action)

    - #### onExitAction

          public MilestoneNodeFactory onExitAction(String dialect,
                                                   String action)

    - #### constraint

          public MilestoneNodeFactory constraint(String constraint)

    - #### timer

          public MilestoneNodeFactory timer(String delay,
                                            String period,
                                            String dialect,
                                            String action)

Copyright © 2001–2020 JBoss by Red Hat. All rights reserved.